Bug 976305 - [abrt] kicad-2012.01.19-2.rev3256.fc18: CONNECTIONS::Propagate_SubNets: Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
[abrt] kicad-2012.01.19-2.rev3256.fc18: CONNECTIONS::Propagate_SubNets: Proce...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
abrt_hash:3ac12814652349a926b0f2d6f48...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 06:35 EDT by Ярпен Зігрін
Modified: 2013-07-02 17:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 17:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.65 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: core_backtrace (7.40 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: dso_list (9.69 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: environ (1.46 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: maps (30.54 KB, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: open_fds (524 bytes, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: proc_pid_status (784 bytes, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details
File: var_log_messages (285 bytes, text/plain)
2013-06-20 06:35 EDT, Ярпен Зігрін
no flags Details

  None (edit)
Description Ярпен Зігрін 2013-06-20 06:35:01 EDT
Description of problem:
i try to use built-in autorouter for both layer

Version-Release number of selected component:
kicad-2012.01.19-2.rev3256.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pcbnew '/home/spider/\xd0\xba\xd0\xbe\xd0\xbd\xd1\x82\xd1\x80\xd0\xbe\xd0\xbb\xd0\xbb\xd0\xb5\xd1\x80/novaredakcija/kontroller.brd'
crash_function: CONNECTIONS::Propagate_SubNets
executable:     /usr/bin/pcbnew
kernel:         3.9.5-201.fc18.i686.PAE
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 CONNECTIONS::Propagate_SubNets at /usr/src/debug/kicad-2012.01.19/pcbnew/connect.cpp:435
 #1 CONNECTIONS::Build_CurrNet_SubNets_Connections at /usr/src/debug/kicad-2012.01.19/pcbnew/connect.cpp:349
 #2 PCB_BASE_FRAME::TestNetConnection at /usr/src/debug/kicad-2012.01.19/pcbnew/connect.cpp:590
 #3 AddNewTrace at /usr/src/debug/kicad-2012.01.19/pcbnew/solve.cpp:1341
 #4 Retrace at /usr/src/debug/kicad-2012.01.19/pcbnew/solve.cpp:1149
 #5 Autoroute_One_Track at /usr/src/debug/kicad-2012.01.19/pcbnew/solve.cpp:622
 #6 PCB_EDIT_FRAME::Solve at /usr/src/debug/kicad-2012.01.19/pcbnew/solve.cpp:343
 #7 PCB_EDIT_FRAME::Autoroute at /usr/src/debug/kicad-2012.01.19/pcbnew/autorout.cpp:179
 #8 PCB_EDIT_FRAME::AutoPlace at /usr/src/debug/kicad-2012.01.19/pcbnew/automove.cpp:147
 #9 wxAppConsole::HandleEvent at src/common/appbase.cpp:322

Potential duplicate: bug 848259
Comment 1 Ярпен Зігрін 2013-06-20 06:35:05 EDT
Created attachment 763392 [details]
File: backtrace
Comment 2 Ярпен Зігрін 2013-06-20 06:35:09 EDT
Created attachment 763393 [details]
File: cgroup
Comment 3 Ярпен Зігрін 2013-06-20 06:35:12 EDT
Created attachment 763394 [details]
File: core_backtrace
Comment 4 Ярпен Зігрін 2013-06-20 06:35:16 EDT
Created attachment 763395 [details]
File: dso_list
Comment 5 Ярпен Зігрін 2013-06-20 06:35:19 EDT
Created attachment 763396 [details]
File: environ
Comment 6 Ярпен Зігрін 2013-06-20 06:35:22 EDT
Created attachment 763397 [details]
File: limits
Comment 7 Ярпен Зігрін 2013-06-20 06:35:28 EDT
Created attachment 763398 [details]
File: maps
Comment 8 Ярпен Зігрін 2013-06-20 06:35:31 EDT
Created attachment 763399 [details]
File: open_fds
Comment 9 Ярпен Зігрін 2013-06-20 06:35:35 EDT
Created attachment 763400 [details]
File: proc_pid_status
Comment 10 Ярпен Зігрін 2013-06-20 06:35:38 EDT
Created attachment 763401 [details]
File: var_log_messages
Comment 11 Alain Portal 2013-07-02 17:22:32 EDT
A bug report without steps to explain how to reproduce the bug is useless.
There is a new kicad release in Fedora, I hope this bug is magically fixed..
I'm not a developer, just a packager, so please, report bugs upstream: https://bugs.launchpad.net/kicad

Note You need to log in before you can comment on or make changes to this bug.